import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MAMusicHapticsManager extends _NSObject {
    static alloc(): _MAMusicHapticsManager;
    static new(): _MAMusicHapticsManager;
    init(): _MAMusicHapticsManager;
    static sharedManager(): _MAMusicHapticsManager;
    /**
     * @abstract In an asynchronous completion handler, returns whether a specific media track with the supplied ISRC has an available haptic track.
     */
    checkHapticTrackAvailabilityForMediaMatchingCode$completionHandler$(internationalStandardRecordingCode: _NSString, completionHandler: ((musicHapticsAvailable: boolean) => void) | null): void;
    /**
     * @abstract Determine the status of haptic playback for the now playing track asynchronously. This will only be delivered for the app that is the active Now Playing app.
     */
    addStatusObserver$(statusHandler: (internationalStandardRecordingCode: _NSString, musicHapticsActive: boolean) => void): _NSCopying | null;
    removeStatusObserver$(registrationToken: _NSCopying): void;
    /**
     * @abstract Whether the user setting to indicate Music Haptics are currently active. @result A boolean result.
     */
    isActive(): boolean;
}
